% x=kktsolve(A,b)
% x=kktsolve(A,b,options)
%
% Calls KKTDirect to solve A*x=b.
% options(1) indicates the maximum supernode size to use (default of 63);
%   if options(1)<=1 a point-wise uplooking factorization is used instead.
% options(2) nonzero indicates the minimum degree ordering should handle
%   dense nodes "safely", possibly at a severe memory cost (default of 0).

function x=kktsolve(A,b,options)

if any(A-A')
  error('Input matrix is not symmetric');
end
if nargin<3
   x=kktsolve_mex(A,b);
else
   x=kktsolve_mex(A,b,options);
end
